import React, { useEffect, useState } from "react";
import { Space } from "antd";
import { Store } from "antd/lib/form/interface";
import { inject, observer } from "mobx-react";
import BTable from "@/components/b_table";
import "./source.less";
const Source = (props: Store) => {
  const { sourceStore } = props;
  const [coloums,setColumns] = useState([])
  const [content,setContent] = useState([])
  // 获取列表数据
  useEffect(() => {
    sourceStore.getHead().then((res)=>{
      res.forEach(element => {
        element.dataIndex = "dbs_"+element.identity.toLowerCase() 
        element.title = element.data_name
      });
      setColumns(res)
    });
    sourceStore.geContent().then((res)=>{
      res.forEach(element => {
        element.key = "dbs_"+element.identity
      });
      setContent(res)
    });
  }, [sourceStore]);
 
  return (
    <div className="contentBox">
      <Space direction="vertical" size="middle" style={{ display: "flex" }}>
        <BTable
          store={sourceStore}
          scroll={{ x: "max-content" }}
          columns={coloums}
          dataSource={content}
          deleteCallback={(id) => {
            sourceStore.deleteItem(id);
          }}
          actionCloumn={(e)=>{
           
          }}
          editCallback={(record) => {
          }}
        />
      </Space>
    </div>
  );
};

export default inject("sourceStore")(observer(Source));
