import { action, makeObservable, observable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import SourceConfig from "@/service/source_config";
import { base } from "@/service/base";
import { message } from "antd";

class SourceStore extends BaseStore<UserDataType> {
    headlist =[]
    contentList =[]
    constructor() {
        super(SourceConfig)
        makeObservable(this, {
            getHead:action,
            
            headlist:observable,
            contentList:observable
        })
    }
    async getHead(){
        let res = await base.get(SourceConfig.Headers, {})
            if (res.code !== 200) {
                message.error(res.msg)
                return false
            }
        this.headlist = res.data.record;
        return res.data.record;
    }

    async geContent(){
        let res = await base.get(SourceConfig.Content, {})
            if (res.code !== 0) {
                message.error(res.msg)
                return false
            }
        this.contentList = res.data;
        return res.data;
    }
}
const sourceStore = new SourceStore();
export default sourceStore;